Package org.jboss.resteasy.plugins.providers.sse

## Class OutboundSseEventImpl.BuilderImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.OutboundSseEventImpl.BuilderImpl

- All Implemented Interfaces:
    `javax.ws.rs.sse.OutboundSseEvent.Builder`
  Enclosing class:
    OutboundSseEventImpl

      public static class OutboundSseEventImpl.BuilderImpl
      extends Object
      implements javax.ws.rs.sse.OutboundSseEvent.Builder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuilderImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.sse.OutboundSseEvent` | `build()` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `comment​(String comment)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `data​(Class type, Object data)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `data​(Object data)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `data​(javax.ws.rs.core.GenericType type, Object data)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `id​(String id)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `mediaType​(javax.ws.rs.core.MediaType mediaType)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `name​(String name)` |
    `javax.ws.rs.sse.OutboundSseEvent.Builder` | `reconnectDelay​(long milliseconds)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuilderImpl

          public BuilderImpl()

  - ### Method Detail

    - #### name

          public javax.ws.rs.sse.OutboundSseEvent.Builder name​(String name)

      Specified by:
        `name` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### id

          public javax.ws.rs.sse.OutboundSseEvent.Builder id​(String id)

      Specified by:
        `id` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### reconnectDelay

          public javax.ws.rs.sse.OutboundSseEvent.Builder reconnectDelay​(long milliseconds)

      Specified by:
        `reconnectDelay` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### mediaType

          public javax.ws.rs.sse.OutboundSseEvent.Builder mediaType​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `mediaType` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### comment

          public javax.ws.rs.sse.OutboundSseEvent.Builder comment​(String comment)

      Specified by:
        `comment` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### data

          public javax.ws.rs.sse.OutboundSseEvent.Builder data​(Class type,
                                                               Object data)

      Specified by:
        `data` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### data

          public javax.ws.rs.sse.OutboundSseEvent.Builder data​(javax.ws.rs.core.GenericType type,
                                                               Object data)

      Specified by:
        `data` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### data

          public javax.ws.rs.sse.OutboundSseEvent.Builder data​(Object data)

      Specified by:
        `data` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`

    - #### build

          public javax.ws.rs.sse.OutboundSseEvent build()

      Specified by:
        `build` in interface `javax.ws.rs.sse.OutboundSseEvent.Builder`